
CREATE PROCEDURE [dbo].[CP_Clientes_Temp_Copiar] ( @Id_Cliente INT )

AS
 

DECLARE	@Id_Cliente_Temp	INT
DECLARE @Mensaje			VARCHAR(100)
DECLARE	@Fecha				DATETIME

BEGIN TRY
BEGIN TRAN


SET @Id_Cliente_Temp =	(SELECT (ISNULL(MAX(Id_Cliente_Temp),0)+1) FROM Clientes_Temp)
SET @Fecha = GETDATE();

INSERT INTO Clientes_Temp
					(Id_Cliente,		Id_Cliente_Ref,	Fecha,	Id_Tipo_Cli,	Razon_Social,	Apellido,		
					Nombre , 			Sexo,
					Estado_Civil,		Fecha_Nac,		Id_Tipo_Doc,		Doc_Nro,		Direccion,	
					Cp ,				Id_Pais,		Id_Provincia,
					Provincia_Descrip,	Id_Localidad ,  Localidad_Descrip,	Id_Nacionalidad,
					Email,				telefono,		Tel_Movil,
					Legajo,				Observacion)
SELECT				Id_Cliente,			Id_Cliente_Ref,	@Fecha,	Id_Tipo_Cli,	Razon_Social,	Apellido,		
					Nombre , 			Sexo,
					Estado_Civil,		Fecha_Nac,		Id_Tipo_Doc,		Doc_Nro,		Direccion,	
					Cp ,				Id_Pais,		Id_Provincia,
					Provincia_Descrip,	Id_Localidad ,  Localidad_Descrip,	Id_Nacionalidad,
					Email,				telefono,		Tel_Movil,
					Legajo,				Observacion
FROM Clientes WHERE Id_Cliente=@Id_Cliente

	COMMIT
	SELECT	 0					AS ErrorNumber 
			,0					AS ErrorSeverity  
			,0					AS ErrorState 
			,0					AS ErrorProcedure  
			,0					AS ErrorLine		
			,@Mensaje			AS ErrorMessage
			,@Id_Cliente_Temp	AS Id_Cliente_Temp 


END TRY  


BEGIN CATCH  
    EXECUTE usp_GetErrorInfo;  
	ROLLBACK
END CATCH;

